package com.ruoyi.project.training.newstaff.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.newstaff.domain.TTnTransferplan;
import com.ruoyi.project.training.newstaff.domain.TTnTransferplanTmpl;

/**
 * 转岗培训Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public interface TTnTransferplanMapper
{
    /**
     * 查询转岗培训
     *
     * @param id 转岗培训ID
     * @return 转岗培训
     */
    public TTnTransferplan selectTTnTransferplanById(Long id);

    /**
     * 查询转岗培训列表
     *
     * @param tTnTransferplan 转岗培训
     * @return 转岗培训集合
     */
    @DataScope(deptAlias = "d")
    public List<TTnTransferplan> selectTTnTransferplanList(TTnTransferplan tTnTransferplan);

    public List<TTnTransferplan> selectTTnTransferplanListByNewId(TTnTransferplan tTnTransferplan);

    /**
     * 新增转岗培训
     *
     * @param tTnTransferplan 转岗培训
     * @return 结果
     */
    public int insertTTnTransferplan(TTnTransferplan tTnTransferplan);

    /**
     * 修改转岗培训
     *
     * @param tTnTransferplan 转岗培训
     * @return 结果
     */
    public int updateTTnTransferplan(TTnTransferplan tTnTransferplan);

    /**
     * 删除转岗培训
     *
     * @param id 转岗培训ID
     * @return 结果
     */
    public int deleteTTnTransferplanById(Long id);

    /**
     * 批量删除转岗培训
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTnTransferplanByIds(Long[] ids);

    void insertTTnTransferplanTmpl(TTnTransferplanTmpl t);

    int batchStatusByIds(Long[] ids);
}
